tileset = {}                          -- table: tileset
tileset.image = nil                   -- tileset: image
tileset.quads = {}                    -- table: quads in tileset

tileset.x = 0                         -- tileset: x tiles
tileset.y = 0                         -- tileset: y tiles
tileset.num = 0                       -- tileset: number of tiles

tileset.tile = {}
tileset.tile.width = 16
tileset.tile.height = 16

function tileset.load(tilesetname)
    
    
    tileset.image = love.graphics.newImage("gfx/"..tilesetname)
    
    -- determines how many tiles in x / y direction
    tileset.x = tileset.image:getWidth()    /   tileset.tile.width
    tileset.y = tileset.image:getHeight()   /   tileset.tile.height
    
    -- load the individual quads of the tileset
    for y = 1, tileset.y, 1 do
        for x = 1, tileset.x, 1 do 
            
            tileset.quads[tileset.num] = love.graphics.newQuad((x-1) * tileset.tile.width, (y-1) * tileset.tile.height, tileset.tile.width, tileset.tile.height, tileset.image:getDimensions())
            tileset.num = tileset.num + 1                               -- inc current number
        
        end
    end
    

end


function tileset.getWidth()
    
    return tileset.tile.width
    
end


function tileset.getHeight()
    
    return tileset.tile.height
    
end